// this sets the background color of the master UIView (when there are no windows/tab groups on it)
Titanium.UI.setBackgroundColor('#000');

// create tab group
var tabGroup = Titanium.UI.createTabGroup();


//
// create base UI tab and root window
//
var win1 = Titanium.UI.createWindow({  
    title:'Tab 1',
    backgroundColor:'#fff',
	orientationModes: [Ti.UI.LANDSCAPE_LEFT, Ti.UI.LANDSCAPE_RIGHT]    
});
var tab1 = Titanium.UI.createTab({  
    icon:'KS_nav_views.png',
    title:'Tab 1',
    window:win1
});






var winNavigation = Ti.UI.createWindow({
	zIndex: 99999,
	backgroundImage: "Navigation-Background.png",
	width: 1024,
	height: 265,
	top: 0	
});


/*
 * TAB 1
 */
var customTab1 = Ti.UI.createView({
	height: 57,
	top: 0,
	left: 135,
	width: 185
});

var tab1_interior = Ti.UI.createView({
	layout: "horizontal",
	horizontalWrap: false,
	width: Titanium.UI.SIZE,
	height: Titanium.UI.SIZE
});

var tab1_image = Ti.UI.createImageView({
	image: "recipes_icon_on.png"	
});

tab1_interior.add(tab1_image);

var tab1_label = Ti.UI.createLabel({
	left: 12,
	color: "fdffff",
	font: {fontFamily: "Open Sans [Light]", fontSize: "15"},
	text: 'Recipes'
});

tab1_interior.add(tab1_label);

customTab1.add(tab1_interior);

winNavigation.add(customTab1);



/*
 * TAB 2
 */
var customTab2 = Ti.UI.createView({
	height: 57,
	top: 0,
	left: 321,
	width: 191
});

var tab2_interior = Ti.UI.createView({
	layout: "horizontal",
	horizontalWrap: false,
	width: Titanium.UI.SIZE,
	height: Titanium.UI.SIZE
});

var tab2_image = Ti.UI.createImageView({
	image: "recipes_icon_on.png"	
});

tab2_interior.add(tab2_image);

var tab2_label = Ti.UI.createLabel({
	left: 12,
	color: "fdffff",
	font: {fontFamily: "Open Sans [Light]", fontSize: "15"},
	text: 'Builds'
});

tab2_interior.add(tab2_label);

customTab2.add(tab2_interior);

winNavigation.add(customTab2);



/*
 * TAB 3
 */
var customTab3 = Ti.UI.createView({
	height: 57,
	top: 0,
	left: 513,
	width: 192
});

var tab3_interior = Ti.UI.createView({
	layout: "horizontal",
	horizontalWrap: false,
	width: Titanium.UI.SIZE,
	height: Titanium.UI.SIZE
});

var tab3_image = Ti.UI.createImageView({
	image: "recipes_icon_on.png"	
});

tab3_interior.add(tab3_image);

var tab3_label = Ti.UI.createLabel({
	left: 12,
	color: "fdffff",
	font: {fontFamily: "Open Sans [Light]", fontSize: "15"},
	text: 'Builds'
});

tab3_interior.add(tab3_label);

customTab3.add(tab3_interior);

winNavigation.add(customTab3);



/*
 * TAB 4
 */
var customTab4 = Ti.UI.createView({
	height: 57,
	top: 0,
	left: 706,
	width: 199
});

var tab4_interior = Ti.UI.createView({
	layout: "horizontal",
	horizontalWrap: false,
	width: Titanium.UI.SIZE,
	height: Titanium.UI.SIZE
});

var tab4_image = Ti.UI.createImageView({
	image: "recipes_icon_on.png"	
});

tab4_interior.add(tab4_image);

var tab4_label = Ti.UI.createLabel({
	left: 12,
	color: "fdffff",
	font: {fontFamily: "Open Sans [Light]", fontSize: "15"},
	text: 'Builds'
});

tab4_interior.add(tab4_label);

customTab4.add(tab4_interior);

winNavigation.add(customTab4);

win1.add(winNavigation);




//
// create controls tab and root window
//
var win2 = Titanium.UI.createWindow({  
    title:'Tab 2',
    backgroundColor:'#fff',
	orientationModes: [Ti.UI.LANDSCAPE_LEFT, Ti.UI.LANDSCAPE_RIGHT]    
});
var tab2 = Titanium.UI.createTab({  
    icon:'KS_nav_ui.png',
    title:'Tab 2',
    window:win2
});

var label2 = Titanium.UI.createLabel({
	color:'#999',
	text:'I am Window 2',
	font:{fontSize:20,fontFamily:'Helvetica Neue'},
	textAlign:'center',
	width:'auto'
});

win2.add(label2);



//
//  add tabs
//
tabGroup.addTab(tab1);  
tabGroup.addTab(tab2);  


// open tab group
tabGroup.open();
